{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/home.css') }}">
{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">
    <h1> {{titre}} </h1>
    <div class = "option">
        <form action="{{ url_for('recherche_utilisateur') }}" method="POST">
            <div style="display: flex;">

                <input type = "text" class = "form-control" name = "recherche">
                <select name="precision" class = "form-control">
                    <option value="nom" selected> nom </option>
                    <option value="prenom"> prenom </option>
                </select>
                <button class = "btn btn-primary" type = "submit"> rechercher </button>
            </div>
            {% if current_user.role == "Implenteur" %}
            <div class = "nouveau">
                <button class = "btn btn-primary" type = 'button'  onclick="window.location.href='/utilisateur/creer'" style="margin-bottom: 1em;"> Nouvel utilisateur </button>
            </div>
            {% endif %}
        </form>
    </div>
    <div class = "contenant">
        <div class="row row-cols-1 row-cols-md-3 g-4">
            {% for user in users %}
                <div class="col" style="margin-bottom: 1em;">
                    <div class="card h-100 text-center">
                        <div class="card-body">
                        <h5 class="card-title"> {{user.nom}} {{user.prenom}}</h5>
                        <p class="card-text"> <b> Identifiant : </b> {{user.login}} </p>
                        <p class="card-text"> <b> Rôle : </b> {{user.role}} </p>
                        <button class="btn btn-primary" onclick="window.location.href='/utilisateur/profile/{{user.id}}'" > Afficher </button>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
</section>

{% endblock %}